%define _disable_ld_no_undefined 1
%define Werror_cflags %nil
Name: tesseract
Version: 3.00
Release: %mkrel 3
Summary: A high-performance OCR engine
URL: http://code.google.com/p/tesseract-ocr/
License: Apache
Group: Graphics
Source0: %{name}-%{version}.tar.xz
Source1: eng.traineddata.gz
Source2: fra.traineddata.gz
Source3: ita.traineddata.gz
Source4: deu.traineddata.gz
Source5: spa.traineddata.gz
Source6: nld.traineddata.gz
Source7: por.traineddata.gz
Source8: deu-frak.traineddata.gz
Source9: vie.traineddata.gz
Patch0:	tesseract-locale-fix.diff
Patch1: tesseract-cmake.patch
Patch2: tesseract-2.04-gcc4.3.patch
BuildRequires: tiff-devel
BuildRequires: jpeg-devel
BuildRequires: cmake
Requires: tesseract-language

%description
The Tesseract OCR engine was one of the top 3 engines in the 1995 
UNLV Accuracy test. Since then it has had little work done on it, 
but it is probably one of the most accurate open source OCR engines 
available. The source code will read a binary, grey or color image 
and output text. A tiff reader is built in that will read 
uncompressed TIFF images, or libtiff can be added to read compressed 
images.

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README ReleaseNotes ChangeLog
%{_bindir}/*
%{_datadir}/tessdata
%exclude %_datadir/tessdata/*.traineddata

#-----------------------------------------------------------------

%define tesseract_major 3
%define libtesseract %mklibname tesseract %{tesseract_major}

%package -n %{libtesseract}
Summary: %name support library
Group: System/Libraries

%description -n %{libtesseract}
%name library.

%files -n %{libtesseract}
%defattr(-,root,root,-)
%_libdir/libtesseract*.so.%{tesseract_major}*

#-----------------------------------------------------------------

%package devel
Summary: Development files from %name
Group:  Development/C++
Requires: %{libtesseract} = %version-%release
Provides: %{mklibname %name -d} = %version-%release
Obsoletes: %{mklibname %name -d} < 2.04


%description devel
The Tesseract OCR engine was one of the top 3 engines in the 1995
UNLV Accuracy test. Since then it has had little work done on it,
but it is probably one of the most accurate open source OCR engines
available. The source code will read a binary, grey or color image
and output text. A tiff reader is built in that will read
uncompressed TIFF images, or libtiff can be added to read compressed
images.

%files devel
%defattr(-,root,root)
%{_includedir}/tesseract
%{_libdir}/*.so

#-----------------------------------------------------------------

%package eng
Group:   Graphics
Summary: English language pack for tesseract
Provides: tesseract-language
BuildArch: noarch

%description eng
Data files required to recognize English OCR.

%files eng
%{_datadir}/tessdata/eng.*

#-----------------------------------------------------------------

%package fra
Group:   Graphics
Summary: French language pack for tesseract
Provides: tesseract-language
BuildArch: noarch

%description fra
Data files required to recognize French OCR.

%files fra
%{_datadir}/tessdata/fra.*

#-----------------------------------------------------------------

%package ita
Group:   Graphics
Summary: Italian language pack for tesseract
Provides: tesseract-language
BuildArch: noarch

%description ita
Data files required to recognize Italian OCR.

%files ita
%{_datadir}/tessdata/ita.*

#-----------------------------------------------------------------

%package deu
Group:   Graphics
Summary: German language pack for tesseract
Provides: tesseract-language
BuildArch: noarch

%description deu
Data files required to recognize German OCR.

%files deu
%{_datadir}/tessdata/deu.*

#-----------------------------------------------------------------

%package spa
Group:   Graphics
Summary: Spanish language pack for tesseract
Provides: tesseract-language
BuildArch: noarch

%description spa
Data files required to recognize Spanish OCR.

%files spa
%{_datadir}/tessdata/spa.*

#-----------------------------------------------------------------

%package nld
Group:   Graphics
Summary: Dutch language pack for tesseract
Provides: tesseract-language
BuildArch: noarch

%description nld
Data files required to recognize Dutch OCR.

%files nld
%{_datadir}/tessdata/nld.*

#-----------------------------------------------------------------

%package por
Group:   Graphics
Summary: Portugese (Brazillian) language pack for tesseract
Provides: tesseract-language
BuildArch: noarch

%description por
Data files required to recognize Portugese (Brazillian) OCR.

%files por
%{_datadir}/tessdata/por.*

#-----------------------------------------------------------------

%package deu-f
Group:   Graphics
Summary: Fraktu (Old German) language pack for tesseract
Provides: tesseract-language
BuildArch: noarch

%description deu-f
Data files required to recognize Fraktu (Old German) OCR.

%files deu-f
%{_datadir}/tessdata/deu-frak.*

#-----------------------------------------------------------------

%package vie
Group:   Graphics
Summary: Vietnamese Language data for Tesseract
Provides: tesseract-language
BuildArch: noarch

%description vie
Data files required to recognize Vietnamese OCR.

%files vie
%{_datadir}/tessdata/vie.*

#-----------------------------------------------------------------

%prep
%setup -q
# %patch0 -p1 
# %patch1 -p1 -b .orig 
# %patch2 -p0 -b .orig

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std

pushd %buildroot%_datadir/tessdata
  cp -aL %{_sourcedir}/*.traineddata.gz .
  gzip -d *.traineddata.gz
popd

rm -fr %buildroot%{_libdir}/libtesseract_*.a
rm -fr %buildroot%{_libdir}/libtesseract_*.la

%clean
rm -rf %buildroot


%changelog
* Tue May 24 2011 ahmad <ahmad> 3.00-3.mga1
+ Revision: 100338
- Add the language support files for version 3.00
- Don't obsoletes the lang sub-packages
- Make the lang sub-packages noarch
- User %%configure2_5x

* Fri Apr 29 2011 dmorgan <dmorgan> 3.00-2.mga1
+ Revision: 93442
- Obsolete old packages

* Thu Apr 14 2011 tv <tv> 3.00-1.mga1
+ Revision: 85208
- new release
- sync with mdv:
  o Fix requires in the devel package
  o make it build
  o Fix file list
  o Do not package .la/.a files
  o use configure
  o Remove deprecated patches

* Fri Jan 21 2011 ahmad <ahmad> 2.04-6.mga1
+ Revision: 29545
- imported package tesseract


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.04-6mdv2011.0
+ Revision: 607988
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.04-5mdv2010.1
+ Revision: 524227
- rebuilt for 2010.1

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2.04-4mdv2010.0
+ Revision: 443609
- Devel should requires main library

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2.04-3mdv2010.0
+ Revision: 443571
- Move tesseract_full to be a shared library. This will solve all issues having with static linking and make olena and nepomuk-scribo happy.
  Hope upstream accept this patch

* Wed Sep 16 2009 Helio Chissini de Castro <helio@mandriva.com> 2.04-1mdv2010.0
+ Revision: 443344
- Create new buildsystem for tesseract based on cmake
- Fix gcc 4.3 build
- Splitted in proper way languages

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jun 19 2008 Funda Wang <fwang@mandriva.org> 2.03-1mdv2009.0
+ Revision: 226134
- remove java makefile
- New version 2.03
- add patch to build against gcc4.3

* Tue Jan 29 2008 Austin Acton <austin@mandriva.org> 2.01-1mdv2008.1
+ Revision: 159875
- new version
- add two new language files

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

* Sat Aug 25 2007 Austin Acton <austin@mandriva.org> 2.00-1mdv2008.0
+ Revision: 71373
- 2.00
- clean up this disgusting spec file
- fix groups, licenses
- bundle language files
- auto optflags
- simplify file lists
- simplify summaries and descriptions

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add URL  thanks Austin

* Fri May 18 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.04-1mdv2008.0
+ Revision: 27786
- Fix Licence
- Import tesseract

